--- old/usr/src/uts/i86pc/ml/locore.s	Thu Nov 14 19:00:15 2019
+++ new/usr/src/uts/i86pc/ml/locore.s	Thu Nov 14 19:00:15 2019
@@ -1867,410 +738,3 @@
 	ret
 	SET_SIZE(freq_tsc)
 
-#elif defined(__i386)
-
-	ENTRY_NP(freq_tsc)
-	pushl	%ebp
-	movl	%esp, %ebp
-	pushl	%edi
-	pushl	%esi
-	pushl	%ebx
-
-/ We have a TSC, but we have no way in general to know how reliable it is.
-/ Usually a marginal TSC behaves appropriately unless not enough time
-/ elapses between reads. A reliable TSC can be read as often and as rapidly
-/ as desired. The simplistic approach of reading the TSC counter and
-/ correlating to the PIT counter cannot be naively followed. Instead estimates
-/ have to be taken to successively refine a guess at the speed of the cpu
-/ and then the TSC and PIT counter are correlated. In practice very rarely
-/ is more than one quick loop required for an estimate. Measures have to be
-/ taken to prevent the PIT counter from wrapping beyond its resolution and for
-/ measuring the clock rate of very fast processors.
-/
-/ The following constant can be tuned. It should be such that the loop does
-/ not take too many nor too few PIT counts to execute. If this value is too
-/ large, then on slow machines the loop will take a long time, or the PIT
-/ counter may even wrap. If this value is too small, then on fast machines
-/ the PIT counter may count so few ticks that the resolution of the PIT
-/ itself causes a bad guess. Because this code is used in machines with
-/ marginal TSC's and/or IO, if this value is too small on those, it may
-/ cause the calculated cpu frequency to vary slightly from boot to boot.
-/
-/ In all cases even if this constant is set inappropriately, the algorithm
-/ will still work and the caller should be able to handle variances in the
-/ calculation of cpu frequency, but the calculation will be inefficient and
-/ take a disproportionate amount of time relative to a well selected value.
-/ As the slowest supported cpu becomes faster, this constant should be
-/ carefully increased.
-
-	movl	$0x8000, %ecx
-
-	/ to make sure the instruction cache has been warmed
-	clc
-
-	jmp	freq_tsc_loop
-
-/ The following block of code up to and including the latching of the PIT
-/ counter after freq_tsc_perf_loop is very critical and very carefully
-/ written, it should only be modified with great care. freq_tsc_loop to
-/ freq_tsc_perf_loop fits exactly in 16 bytes as do the instructions in
-/ freq_tsc_perf_loop up to the unlatching of the PIT counter.
-
-	.align	32
-freq_tsc_loop:
-	/ save the loop count in %ebx
-	movl	%ecx, %ebx
-
-	/ initialize the PIT counter and start a count down
-	movb	$PIT_LOADMODE, %al
-	outb	$PITCTL_PORT
-	movb	$0xff, %al
-	outb	$PITCTR0_PORT
-	outb	$PITCTR0_PORT
-
-	/ read the TSC and store the TS in %edi:%esi
-	rdtsc
-	movl	%eax, %esi
-
-freq_tsc_perf_loop:
-	movl	%edx, %edi
-	movl	%eax, %esi
-	movl	%edx, %edi
-	loop	freq_tsc_perf_loop
-
-	/ read the TSC and store the LSW in %ecx
-	rdtsc
-	movl	%eax, %ecx
-
-	/ latch the PIT counter and status
-	movb	$_CONST(PIT_READBACK|PIT_READBACKC0), %al
-	outb	$PITCTL_PORT
-
-	/ remember if the icache has been warmed
-	setc	%ah
-
-	/ read the PIT status
-	inb	$PITCTR0_PORT
-	shll	$8, %eax
-
-	/ read PIT count
-	inb	$PITCTR0_PORT
-	shll	$8, %eax
-	inb	$PITCTR0_PORT
-	bswap	%eax
-
-	/ check to see if the PIT count was loaded into the CE
-	btw	$_CONST(PITSTAT_NULLCNT+8), %ax
-	jc	freq_tsc_increase_count
-
-	/ check to see if PIT counter wrapped
-	btw	$_CONST(PITSTAT_OUTPUT+8), %ax
-	jnc	freq_tsc_pit_did_not_wrap
-
-	/ halve count
-	shrl	$1, %ebx
-	movl	%ebx, %ecx
-
-	/ the instruction cache has been warmed
-	stc
-
-	jmp	freq_tsc_loop
-
-freq_tsc_increase_count:
-	shll	$1, %ebx
-	jc	freq_tsc_too_fast
-
-	movl	%ebx, %ecx
-
-	/ the instruction cache has been warmed
-	stc
-
-	jmp	freq_tsc_loop
-
-freq_tsc_pit_did_not_wrap:
-	roll	$16, %eax
-
-	cmpw	$0x2000, %ax
-	notw	%ax
-	jb	freq_tsc_sufficient_duration
-
-freq_tsc_calculate:
-	/ in mode 0, the PIT loads the count into the CE on the first CLK pulse,
-	/ then on the second CLK pulse the CE is decremented, therefore mode 0
-	/ is really a (count + 1) counter, ugh
-	xorl	%esi, %esi
-	movw	%ax, %si
-	incl	%esi
-
-	movl	$0xf000, %eax
-	mull	%ebx
-
-	/ tuck away (target_pit_count * loop_count)
-	movl	%edx, %ecx
-	movl	%eax, %ebx
-
-	movl	%esi, %eax
-	movl	$0xffffffff, %edx
-	mull	%edx
-
-	addl	%esi, %eax
-	adcl	$0, %edx
-
-	cmpl	%ecx, %edx
-	ja	freq_tsc_div_safe
-	jb	freq_tsc_too_fast
-
-	cmpl	%ebx, %eax
-	jbe	freq_tsc_too_fast
-
-freq_tsc_div_safe:
-	movl	%ecx, %edx
-	movl	%ebx, %eax
-
-	movl	%esi, %ecx
-	divl	%ecx
-
-	movl	%eax, %ecx
-
-	/ the instruction cache has been warmed
-	stc
-
-	jmp	freq_tsc_loop
-
-freq_tsc_sufficient_duration:
-	/ test to see if the icache has been warmed
-	btl	$16, %eax
-	jnc	freq_tsc_calculate
-
-	/ recall mode 0 is a (count + 1) counter
-	andl	$0xffff, %eax
-	incl	%eax
-
-	/ save the number of PIT counts
-	movl	8(%ebp), %ebx
-	movl	%eax, (%ebx)
-
-	/ calculate the number of TS's that elapsed
-	movl	%ecx, %eax
-	subl	%esi, %eax
-	sbbl	%edi, %edx
-
-	jmp	freq_tsc_end
-
-freq_tsc_too_fast:
-	/ return 0 as a 64 bit quantity
-	xorl	%eax, %eax
-	xorl	%edx, %edx
-
-freq_tsc_end:
-	popl	%ebx
-	popl	%esi
-	popl	%edi
-	popl	%ebp
-	ret
-	SET_SIZE(freq_tsc)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if !defined(__amd64)
-#if defined(__lint)
-
-/*
- * We do not have a TSC so we use a block of instructions with well known
- * timings.
- */
-
-/*ARGSUSED*/
-uint64_t
-freq_notsc(uint32_t *pit_counter)
-{
-	return (0);
-}
-
-#else	/* __lint */
-	ENTRY_NP(freq_notsc)
-	pushl	%ebp
-	movl	%esp, %ebp
-	pushl	%edi
-	pushl	%esi
-	pushl	%ebx
-
-	/ initial count for the idivl loop
-	movl	$0x1000, %ecx
-
-	/ load the divisor
-	movl	$1, %ebx
-
-	jmp	freq_notsc_loop
-
-.align	16
-freq_notsc_loop:
-	/ set high 32 bits of dividend to zero
-	xorl	%edx, %edx
-
-	/ save the loop count in %edi
-	movl	%ecx, %edi
-
-	/ initialize the PIT counter and start a count down
-	movb	$PIT_LOADMODE, %al
-	outb	$PITCTL_PORT
-	movb	$0xff, %al
-	outb	$PITCTR0_PORT
-	outb	$PITCTR0_PORT
-
-	/ set low 32 bits of dividend to zero
-	xorl	%eax, %eax
-
-/ It is vital that the arguments to idivl be set appropriately because on some
-/ cpu's this instruction takes more or less clock ticks depending on its
-/ arguments.
-freq_notsc_perf_loop:
-	idivl	%ebx
-	idivl	%ebx
-	idivl	%ebx
-	idivl	%ebx
-	idivl	%ebx
-	loop	freq_notsc_perf_loop
-
-	/ latch the PIT counter and status
-	movb	$_CONST(PIT_READBACK|PIT_READBACKC0), %al
-	outb	$PITCTL_PORT
-
-	/ read the PIT status
-	inb	$PITCTR0_PORT
-	shll	$8, %eax
-
-	/ read PIT count
-	inb	$PITCTR0_PORT
-	shll	$8, %eax
-	inb	$PITCTR0_PORT
-	bswap	%eax
-
-	/ check to see if the PIT count was loaded into the CE
-	btw	$_CONST(PITSTAT_NULLCNT+8), %ax
-	jc	freq_notsc_increase_count
-
-	/ check to see if PIT counter wrapped
-	btw	$_CONST(PITSTAT_OUTPUT+8), %ax
-	jnc	freq_notsc_pit_did_not_wrap
-
-	/ halve count
-	shrl	$1, %edi
-	movl	%edi, %ecx
-
-	jmp	freq_notsc_loop
-
-freq_notsc_increase_count:
-	shll	$1, %edi
-	jc	freq_notsc_too_fast
-
-	movl	%edi, %ecx
-
-	jmp	freq_notsc_loop
-
-freq_notsc_pit_did_not_wrap:
-	shrl	$16, %eax
-
-	cmpw	$0x2000, %ax
-	notw	%ax
-	jb	freq_notsc_sufficient_duration
-
-freq_notsc_calculate:
-	/ in mode 0, the PIT loads the count into the CE on the first CLK pulse,
-	/ then on the second CLK pulse the CE is decremented, therefore mode 0
-	/ is really a (count + 1) counter, ugh
-	xorl	%esi, %esi
-	movw	%ax, %si
-	incl	%esi
-
-	movl	%edi, %eax
-	movl	$0xf000, %ecx
-	mull	%ecx
-
-	/ tuck away (target_pit_count * loop_count)
-	movl	%edx, %edi
-	movl	%eax, %ecx
-
-	movl	%esi, %eax
-	movl	$0xffffffff, %edx
-	mull	%edx
-
-	addl	%esi, %eax
-	adcl	$0, %edx
-
-	cmpl	%edi, %edx
-	ja	freq_notsc_div_safe
-	jb	freq_notsc_too_fast
-
-	cmpl	%ecx, %eax
-	jbe	freq_notsc_too_fast
-
-freq_notsc_div_safe:
-	movl	%edi, %edx
-	movl	%ecx, %eax
-
-	movl	%esi, %ecx
-	divl	%ecx
-
-	movl	%eax, %ecx
-
-	jmp	freq_notsc_loop
-
-freq_notsc_sufficient_duration:
-	/ recall mode 0 is a (count + 1) counter
-	incl	%eax
-
-	/ save the number of PIT counts
-	movl	8(%ebp), %ebx
-	movl	%eax, (%ebx)
-
-	/ calculate the number of cpu clock ticks that elapsed
-	cmpl	$X86_VENDOR_Cyrix, x86_vendor
-	jz	freq_notsc_notcyrix
-
-	/ freq_notsc_perf_loop takes 86 clock cycles on Cyrix 6x86 cores
-	movl	$86, %eax
-	jmp	freq_notsc_calculate_tsc
-
-freq_notsc_notcyrix:
-	/ freq_notsc_perf_loop takes 237 clock cycles on Intel Pentiums
-	movl	$237, %eax
-
-freq_notsc_calculate_tsc:
-	mull	%edi
-
-	jmp	freq_notsc_end
-
-freq_notsc_too_fast:
-	/ return 0 as a 64 bit quantity
-	xorl	%eax, %eax
-	xorl	%edx, %edx
-
-freq_notsc_end:
-	popl	%ebx
-	popl	%esi
-	popl	%edi
-	popl	%ebp
-
-	ret
-	SET_SIZE(freq_notsc)
-
-#endif	/* __lint */
-#endif	/* !__amd64 */
-
-#if !defined(__lint)
-	.data
-#if !defined(__amd64)
-	.align	4
-cpu_vendor:
-	.long	0, 0, 0		/* Vendor ID string returned */
-
-	.globl	CyrixInstead
-
-	.globl	x86_featureset
-	.globl	x86_type
-	.globl	x86_vendor
-#endif
-
-#endif	/* __lint */
--- old/usr/src/uts/i86pc/ml/mpcore.s	Thu Nov 14 19:00:16 2019
+++ new/usr/src/uts/i86pc/ml/mpcore.s	Thu Nov 14 19:00:16 2019
@@ -34,10 +34,8 @@
 #include <sys/privregs.h>
 #include <sys/x86_archext.h>
 
-#if !defined(__lint)
 #include <sys/segments.h>
 #include "assym.h"
-#endif
 
 /*
  *	Our assumptions:
@@ -60,24 +58,6 @@
  *
  */
 
-#if defined(__lint)
-
-void
-real_mode_start_cpu(void)
-{}
-
-void
-real_mode_stop_cpu_stage1(void)
-{}
-
-void
-real_mode_stop_cpu_stage2(void)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY_NP(real_mode_start_cpu)
 
 	/*
@@ -118,30 +98,9 @@
 	/*
 	 * 16-bit protected mode is now active, so prepare to turn on long
 	 * mode.
-	 *
-	 * Note that we currently assume that if we're attempting to run a
-	 * kernel compiled with (__amd64) #defined, the target CPU has long
-	 * mode support.
 	 */
 
-#if 0
 	/*
-	 * If there's a chance this might not be true, the following test should
-	 * be done, with the no_long_mode branch then doing something
-	 * appropriate:
-	 */
-
-	movl		$0x80000000, %eax	/* get largest extended CPUID */
-	cpuid
-	cmpl		$0x80000000, %eax	/* check if > 0x80000000 */
-	jbe		no_long_mode		/* nope, no long mode */
-	movl		$0x80000001, %eax
-	cpuid					/* get extended feature flags */
-	btl		$29, %edx		/* check for long mode */
-	jnc		no_long_mode		/* long mode not supported */
-#endif
-
-	/*
 	 * Add any initial cr4 bits
 	 */
 	movl		%cr4, %eax
@@ -335,200 +294,6 @@
 
 	SET_SIZE(real_mode_start_cpu)
 
-#elif defined(__i386)
-
-	ENTRY_NP(real_mode_start_cpu)
-
-#if !defined(__GNUC_AS__)
-
-	cli
-	D16 movw	%cs, %eax
-	movw		%eax, %ds	/* load cs into ds */
-	movw		%eax, %ss	/* and into ss */
-
-	/*
-	 * Helps in debugging by giving us the fault address.
-	 *
-	 * Remember to patch a hlt (0xf4) at cmntrap to get a good stack.
-	 */
-	D16 movl	$0xffc, %esp
-
-	D16 A16 lgdt	%cs:GDTROFF
-	D16 A16 lidt	%cs:IDTROFF
-	D16 A16 movl	%cs:CR4OFF, %eax	/* set up CR4, if desired */
-	D16 andl	%eax, %eax
-	D16 A16 je	no_cr4
-
-	D16 movl	%eax, %ecx
-	D16 movl	%cr4, %eax
-	D16 orl		%ecx, %eax
-	D16 movl	%eax, %cr4
-no_cr4:
-	D16 A16 movl	%cs:CR3OFF, %eax
-	A16 movl	%eax, %cr3
-	movl		%cr0, %eax
-
-	/*
-	 * Enable protected-mode, paging, write protect, and alignment mask
-	 */
-	D16 orl		$[CR0_PG|CR0_PE|CR0_WP|CR0_AM], %eax
-	movl		%eax, %cr0
-	jmp		pestart
-
-pestart:
-	D16 pushl	$KCS_SEL
-	D16 pushl	$kernel_cs_code
-	D16 lret
-	.globl real_mode_start_cpu_end
-real_mode_start_cpu_end:
-	nop
-
-	.globl	kernel_cs_code
-kernel_cs_code:
-	/*
-	 * At this point we are with kernel's cs and proper eip.
-	 *
-	 * We will be executing not from the copy in real mode platter,
-	 * but from the original code where boot loaded us.
-	 *
-	 * By this time GDT and IDT are loaded as is cr3.
-	 */
-	movw	$KFS_SEL,%eax
-	movw	%eax,%fs
-	movw	$KGS_SEL,%eax
-	movw	%eax,%gs
-	movw	$KDS_SEL,%eax
-	movw	%eax,%ds
-	movw	%eax,%es
-	movl	%gs:CPU_TSS,%esi
-	movw	%eax,%ss
-	movl	TSS_ESP0(%esi),%esp
-	movw	$KTSS_SEL,%ax
-	ltr	%ax
-	xorw	%ax, %ax		/* clear LDTR */
-	lldt	%ax
-	movl	%cr0,%edx
-	andl    $-1![CR0_TS|CR0_EM],%edx  /* clear emulate math chip bit */
-	orl     $[CR0_MP|CR0_NE],%edx
-	movl    %edx,%cr0		  /* set machine status word */
-
-	/*
-	 * Before going any further, enable usage of page table NX bit if
-	 * that's how our page tables are set up.
-	 */
-	bt	$X86FSET_NX, x86_featureset
-	jnc	1f
-	movl	%cr4, %ecx
-	andl	$CR4_PAE, %ecx
-	jz	1f
-	movl	$MSR_AMD_EFER, %ecx
-	rdmsr
-	orl	$AMD_EFER_NXE, %eax
-	wrmsr
-1:
-	movl	%gs:CPU_THREAD, %eax	/* get thread ptr */
-	call	*T_PC(%eax)		/* call mp_startup */
-	/* not reached */
-	int	$20			/* whoops, returned somehow! */
-
-#else
-
-	cli
-	mov		%cs, %ax
-	mov		%eax, %ds	/* load cs into ds */
-	mov		%eax, %ss	/* and into ss */
-
-	/*
-	 * Helps in debugging by giving us the fault address.
-	 *
-	 * Remember to patch a hlt (0xf4) at cmntrap to get a good stack.
-	 */
-	D16 mov		$0xffc, %esp
-
-	D16 A16 lgdtl	%cs:GDTROFF
-	D16 A16 lidtl	%cs:IDTROFF
-	D16 A16 mov	%cs:CR4OFF, %eax	/* set up CR4, if desired */
-	D16 and		%eax, %eax
-	D16 A16 je	no_cr4
-
-	D16 mov		%eax, %ecx
-	D16 mov		%cr4, %eax
-	D16 or		%ecx, %eax
-	D16 mov		%eax, %cr4
-no_cr4:
-	D16 A16 mov	%cs:CR3OFF, %eax
-	A16 mov		%eax, %cr3
-	mov		%cr0, %eax
-
-	/*
-	 * Enable protected-mode, paging, write protect, and alignment mask
-	 */
-	D16 or		$(CR0_PG|CR0_PE|CR0_WP|CR0_AM), %eax
-	mov		%eax, %cr0
-	jmp		pestart
-
-pestart:
-	D16 pushl	$KCS_SEL
-	D16 pushl	$kernel_cs_code
-	D16 lret
-	.globl real_mode_start_cpu_end
-real_mode_start_cpu_end:
-	nop
-	.globl	kernel_cs_code
-kernel_cs_code:
-	/*
-	 * At this point we are with kernel's cs and proper eip.
-	 *
-	 * We will be executing not from the copy in real mode platter,
-	 * but from the original code where boot loaded us.
-	 *
-	 * By this time GDT and IDT are loaded as is cr3.
-	 */
-	mov	$KFS_SEL, %ax
-	mov	%eax, %fs
-	mov	$KGS_SEL, %ax
-	mov	%eax, %gs
-	mov	$KDS_SEL, %ax
-	mov	%eax, %ds
-	mov	%eax, %es
-	mov	%gs:CPU_TSS, %esi
-	mov	%eax, %ss
-	mov	TSS_ESP0(%esi), %esp
-	mov	$(KTSS_SEL), %ax
-	ltr	%ax
-	xorw	%ax, %ax		/* clear LDTR */
-	lldt	%ax
-	mov	%cr0, %edx
-	and	$~(CR0_TS|CR0_EM), %edx	/* clear emulate math chip bit */
-	or	$(CR0_MP|CR0_NE), %edx
-	mov	%edx, %cr0		/* set machine status word */
-
-	/*
-	 * Before going any farther, enable usage of page table NX bit if
-	 * that's how our page tables are set up.  (PCIDE is enabled later on).
-	 */
-	bt	$X86FSET_NX, x86_featureset
-	jnc	1f
-	movl	%cr4, %ecx
-	andl	$CR4_PAE, %ecx
-	jz	1f
-	movl	$MSR_AMD_EFER, %ecx
-	rdmsr
-	orl	$AMD_EFER_NXE, %eax
-	wrmsr
-1:
-	mov	%gs:CPU_THREAD, %eax	/* get thread ptr */
-	call	*T_PC(%eax)		/* call mp_startup */
-	/* not reached */
-	int	$20			/* whoops, returned somehow! */
-#endif
-
-	SET_SIZE(real_mode_start_cpu)
-
-#endif	/* __amd64 */
-
-#if defined(__amd64)
-
 	ENTRY_NP(real_mode_stop_cpu_stage1)
 
 #if !defined(__GNUC_AS__)
@@ -580,52 +345,6 @@
 
 	SET_SIZE(real_mode_stop_cpu_stage1)
 
-#elif defined(__i386)
-
-	ENTRY_NP(real_mode_stop_cpu_stage1)
-
-#if !defined(__GNUC_AS__)
-
-	cli
-	D16 movw	%cs, %eax
-	movw		%eax, %ds	/* load cs into ds */
-	movw		%eax, %ss	/* and into ss */
-
-	/*
-	 * Jump to the stage 2 code in the rm_platter_va->rm_cpu_halt_code
-	 */
-	movw		$CPUHALTCODEOFF, %ax
-	.byte		0xff, 0xe0	/* jmp *%ax */
-
-#else	/* __GNUC_AS__ */
-
-	cli
-	mov		%cs, %ax
-	mov		%eax, %ds	/* load cs into ds */
-	mov		%eax, %ss	/* and into ss */
-
-	/*
-	 * Jump to the stage 2 code in the rm_platter_va->rm_cpu_halt_code
-	 */
-	movw		$CPUHALTCODEOFF, %ax
-	/*
-	 * The following indirect call is executed as part of starting up a CPU.
-	 * As such nothing else should be running on it or executing in the
-	 * system such that it is a viable Spectre v2 branch target injection
-	 * location. At least, in theory.
-	 */
-	jmp		*%ax
-
-#endif	/* !__GNUC_AS__ */
-
-	.globl real_mode_stop_cpu_stage1_end
-real_mode_stop_cpu_stage1_end:
-	nop
-
-	SET_SIZE(real_mode_stop_cpu_stage1)
-
-#endif	/* __amd64 */
-
 	ENTRY_NP(real_mode_stop_cpu_stage2)
 
 	movw		$0xdead, %ax
@@ -645,4 +364,3 @@
 
 	SET_SIZE(real_mode_stop_cpu_stage2)
 
-#endif	/* __lint */
--- old/usr/src/uts/i86pc/ml/notes.s	Thu Nov 14 19:00:16 2019
+++ new/usr/src/uts/i86pc/ml/notes.s	Thu Nov 14 19:00:16 2019
@@ -21,21 +21,18 @@
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
-	
-#include <sys/elf_notes.h>
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
 
-#if defined(lint)
-#include <sys/types.h>
-#else
+#include <sys/elf_notes.h>
 
 #include "assym.h"
 
-/
-/ Tell the booter that we'd like to load unix on a large page
-/ if the chip supports it.
-/
+/*
+ * Tell the booter that we'd like to load unix on a large page.
+ */
 	.section        .note
 	.align          4
 	.4byte           .name1_end - .name1_begin 
@@ -49,4 +46,3 @@
 	.4byte		FOUR_MEG
 .desc1_end:
 	.align		4
-#endif
--- old/usr/src/uts/i86pc/ml/offsets.in	Thu Nov 14 19:00:17 2019
+++ new/usr/src/uts/i86pc/ml/offsets.in	Thu Nov 14 19:00:17 2019
@@ -1,7 +1,7 @@
 \
 \ Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
 \ Copyright 2012 Garrett D'Amore <garrett@damore.org>.  All rights reserved.
-\ Copyright 2018 Joyent, Inc.
+\ Copyright 2019 Joyent, Inc.
 \
 \ CDDL HEADER START
 \
@@ -124,9 +124,7 @@
 	_tu._ts._t_post_sys	T_POST_SYS
 	_tu._t_post_sys_ast	T_POST_SYS_AST
 	t_copyops
-#ifdef	__amd64
 	t_useracc
-#endif
 
 ctxop
 	save_op			CTXOP_SAVE
--- old/usr/src/uts/i86pc/ml/syscall_asm.s	Thu Nov 14 19:00:17 2019
+++ new/usr/src/uts/i86pc/ml/syscall_asm.s	Thu Nov 14 19:00:17 2019
@@ -20,32 +20,17 @@
  */
 /*
  * Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  * Copyright (c) 2016 by Delphix. All rights reserved.
  */
 
-/*	Copyright (c) 1990, 1991 UNIX System Laboratories, Inc.	*/
-/*	Copyright (c) 1984, 1986, 1987, 1988, 1989, 1990 AT&T	*/
-/*	  All Rights Reserved					*/
-
-/*	Copyright (c) 1987, 1988 Microsoft Corporation		*/
-/*	  All Rights Reserved					*/
-
 #include <sys/asm_linkage.h>
 #include <sys/asm_misc.h>
 #include <sys/regset.h>
+#include <sys/privregs.h>
 #include <sys/psw.h>
-#include <sys/x86_archext.h>
 #include <sys/machbrand.h>
-#include <sys/privregs.h>
 
-#if defined(__lint)
-
-#include <sys/types.h>
-#include <sys/thread.h>
-#include <sys/systm.h>
-
-#else	/* __lint */
-
 #include <sys/segments.h>
 #include <sys/pcb.h>
 #include <sys/trap.h>
